Package com.databricks.jdbc.model.client.thrift.generated

## Class TStatementConf

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TStatementConf

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStatementConf>`, `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TStatementConf
    extends Object
    implements org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>, Serializable, Cloneable, Comparable<TStatementConf>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TStatementConf._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TProtocolVersion` `client_protocol`
`long` `client_protocol_i64`
`TNamespace` `initialNamespace`
`static Map<TStatementConf._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `sessionless`

### Constructor Summary

Constructors
`TStatementConf()`
`TStatementConf​(TStatementConf other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TStatementConf other)`
`TStatementConf` `deepCopy()`
`boolean` `equals​(TStatementConf that)`
`boolean` `equals​(Object that)`
`TStatementConf._Fields` `fieldForId​(int fieldId)`
`TProtocolVersion` `getClient_protocol()`
`long` `getClient_protocol_i64()`
`Object` `getFieldValue​(TStatementConf._Fields field)`
`TNamespace` `getInitialNamespace()`
`int` `hashCode()`
`boolean` `isSessionless()`
`boolean` `isSet​(TStatementConf._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetClient_protocol()` Returns true if field client_protocol is set (has been assigned a value) and false otherwise
`boolean` `isSetClient_protocol_i64()` Returns true if field client_protocol_i64 is set (has been assigned a value) and false otherwise
`boolean` `isSetInitialNamespace()` Returns true if field initialNamespace is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionless()` Returns true if field sessionless is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TStatementConf` `setClient_protocol​(TProtocolVersion client_protocol)`
`TStatementConf` `setClient_protocol_i64​(long client_protocol_i64)`
`void` `setClient_protocol_i64IsSet​(boolean value)`
`void` `setClient_protocolIsSet​(boolean value)`
`void` `setFieldValue​(TStatementConf._Fields field, Object value)`
`TStatementConf` `setInitialNamespace​(TNamespace initialNamespace)`
`void` `setInitialNamespaceIsSet​(boolean value)`
`TStatementConf` `setSessionless​(boolean sessionless)`
`void` `setSessionlessIsSet​(boolean value)`
`String` `toString()`
`void` `unsetClient_protocol()`
`void` `unsetClient_protocol_i64()`
`void` `unsetInitialNamespace()`
`void` `unsetSessionless()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionless

    public boolean sessionless

#### initialNamespace

    public TNamespace initialNamespace

#### client_protocol

    public TProtocolVersion client_protocol

See Also:
  `TProtocolVersion`

#### client_protocol_i64

    public long client_protocol_i64

#### metaDataMap

    public static final Map<TStatementConf._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TStatementConf

    public TStatementConf()

#### TStatementConf

    public TStatementConf​(TStatementConf other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TStatementConf deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### isSessionless

    public boolean isSessionless()

#### setSessionless

    public TStatementConf setSessionless​(boolean sessionless)

#### unsetSessionless

    public void unsetSessionless()

#### isSetSessionless

    public boolean isSetSessionless()

Returns true if field sessionless is set (has been assigned a value) and false otherwise

#### setSessionlessIsSet

    public void setSessionlessIsSet​(boolean value)

#### getInitialNamespace

    public TNamespace getInitialNamespace()

#### setInitialNamespace

    public TStatementConf setInitialNamespace​(TNamespace initialNamespace)

#### unsetInitialNamespace

    public void unsetInitialNamespace()

#### isSetInitialNamespace

    public boolean isSetInitialNamespace()

Returns true if field initialNamespace is set (has been assigned a value) and false otherwise

#### setInitialNamespaceIsSet

    public void setInitialNamespaceIsSet​(boolean value)

#### getClient_protocol

    public TProtocolVersion getClient_protocol()

See Also:
  `TProtocolVersion`

#### setClient_protocol

    public TStatementConf setClient_protocol​(TProtocolVersion client_protocol)

See Also:
  `TProtocolVersion`

#### unsetClient_protocol

    public void unsetClient_protocol()

#### isSetClient_protocol

    public boolean isSetClient_protocol()

Returns true if field client_protocol is set (has been assigned a value) and false otherwise

#### setClient_protocolIsSet

    public void setClient_protocolIsSet​(boolean value)

#### getClient_protocol_i64

    public long getClient_protocol_i64()

#### setClient_protocol_i64

    public TStatementConf setClient_protocol_i64​(long client_protocol_i64)

#### unsetClient_protocol_i64

    public void unsetClient_protocol_i64()

#### isSetClient_protocol_i64

    public boolean isSetClient_protocol_i64()

Returns true if field client_protocol_i64 is set (has been assigned a value) and false otherwise

#### setClient_protocol_i64IsSet

    public void setClient_protocol_i64IsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TStatementConf._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### getFieldValue

    public Object getFieldValue​(TStatementConf._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### isSet

    public boolean isSet​(TStatementConf._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TStatementConf that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TStatementConf other)

Specified by:
  `compareTo` in interface `Comparable<TStatementConf>`

#### fieldForId

    public TStatementConf._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStatementConf,​TStatementConf._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`